### Enumeration

# Vips ForeignHeifCompression

#### Declaration

    enum Vips.ForeignHeifCompression

#### Description [src]

The compression format to use inside a HEIF container.

This is assumed to use the same numbering as `heif_compression_format`.

#### Members

`VIPS_FOREIGN_HEIF_COMPRESSION_HEVC`

  X265.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_COMPRESSION_AVC`

  X264.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_COMPRESSION_JPEG`

  Jpeg.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_COMPRESSION_AV1`

  Aom.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_HEIF_COMPRESSION_LAST`

  No description available.

  - Value: `5`
  - Available since: 8.0